Notifications
Settings
Returns the calling User's notification settings, the per group new ticket, ticket reply and SLA alert preferences together with the mention and ticket assignment channel settings.
GET
/api/{tenant:minlength(2)}/v{version:apiVersion}/notifications/settings
Request arguments
| Name | Type | Source |
|---|
Request body example
Response
Response body example
DTO_notification_settings_wrapper
| Name | Type | ReadOnly | Description |
|---|---|---|---|
| groups | DTO_notification_group[] | Groups | |
| mention | DTO_notification_channel | Mention | |
| assigned | DTO_notification_channel | Assigned |
DTO_notification_group
| Name | Type | ReadOnly | Description |
|---|---|---|---|
| new_ticket_email | Boolean | New ticket email | |
| new_ticket_inapp | Boolean | New ticket inapp | |
| reply_ticket_email | Boolean | Reply ticket email | |
| reply_ticket_inapp | Boolean | Reply ticket inapp | |
| new_ticket | DTO_notification_channel | New ticket | |
| reply_ticket | DTO_notification_channel | Reply ticket | |
| sla_alert | DTO_notification_channel | A ticket in this group is about to blow (or has blown) an SLA deadline. Only sent when the workspace has SLA. | |
| id | Int32 | Id | |
| name | String | Name |
DTO_notification_channel
| Name | Type | ReadOnly | Description |
|---|---|---|---|
| Boolean | |||
| inapp | Boolean | Inapp |
Generated Aug 4, 2026 18:37